package com.muyu.marketing.domain.model;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.req.ActivityTeamInfoUpdReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;

/**
 * 拼团活动修改模板
 *
 * @author SunLY
 * @version 1.0
 * @date 2024/11/27 17:13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class ActivityTeamInfoUpdModel {
    /**
     * 拼团ID
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */
    private String unit;
    /**
     * 轮播图
     */
    private String imageList;
    /**
     * 活动结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
     * 排序
     */
    private Long sort;
    /**
     * 简介
     */
    private String content;
    /**
     * 排序
     */
    private String status;
    /**
     * 策略ID
     */
    private Long strategyId;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 修改商品规格list
     */
    private List<ActivityTeamProductSkuUpdModel> TeamProductSkuUpdList;

    /**
     * 删除商品规格IDList
     */
    private List<Long> TeamProductSkuDelList;

    /**
     * 修改商品信息
     */
    private List<ActivityTeamProductSkuAddModel> TeamProductSkuAddList;



    public static ActivityTeamInfoUpdModel buildModel(ActivityTeamInfoUpdReq activityTeamInfoUpdReq) {
        return ActivityTeamInfoUpdModel.builder()
                .id(activityTeamInfoUpdReq.getId())
                .name(activityTeamInfoUpdReq.getName())
                .productId(activityTeamInfoUpdReq.getProductId())
                .productImage(activityTeamInfoUpdReq.getProductImage())
                .productName(activityTeamInfoUpdReq.getProductName())
                .introduction(activityTeamInfoUpdReq.getIntroduction())
                .unit(activityTeamInfoUpdReq.getUnit())
               .imageList(activityTeamInfoUpdReq.getImageList())
                .endTime(activityTeamInfoUpdReq.getEndTime())
                .strategyId(activityTeamInfoUpdReq.getStrategyId())
                .strategyType(activityTeamInfoUpdReq.getStrategyType())
                .sort(activityTeamInfoUpdReq.getSort())
                .content(activityTeamInfoUpdReq.getContent())
                .status(activityTeamInfoUpdReq.getStatus())
                .TeamProductSkuAddList(activityTeamInfoUpdReq.getTeamProductSkuAddList())
                .TeamProductSkuDelList(activityTeamInfoUpdReq.getTeamProductSkuDelList())
                .TeamProductSkuUpdList(activityTeamInfoUpdReq.getTeamProductSkuUpdList())
                .build();
    }



}
