package com.muyu.marketing.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.marketing.domain.model.ActivityTeamProductSkuAddModel;
import com.muyu.marketing.domain.model.ActivityTeamProductSkuUpdModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @program: 2204a-cloud-server
 * @description: 活动商品规格修改入参
 * @author: AoCi Tian
 * @create: 2024-11-26 19:25
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamInfoUpdReq {
    /**
     * 拼团ID
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */
    private String unit;
    /**
     * 轮播图
     */
    private String imageList;
    /**
     * 活动结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
     * 排序
     */
    private Long sort;
    /**
     * 简介
     */
    private String content;
    /**
     * 排序
     */
    private String status;
    /**
     * 策略ID
     */
    private Long strategyId;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 修改商品规格list
     */
    private List<ActivityTeamProductSkuUpdModel> TeamProductSkuUpdList;

    /**
     * 删除商品规格IDList
     */
    private List<Long> TeamProductSkuDelList;

    /**
     * 修改商品信息
     */
    private List<ActivityTeamProductSkuAddModel> TeamProductSkuAddList;
}
